# Class Nip07Signer

#### Implements

- ISigner

- Defined in packages/signer/src/signers/nip07.ts:13

#####
Index

### Constructors

constructor

### Properties

nip04
nip44

### Methods

getPubkey
sign

##
Constructors

### constructor

- new Nip07Signer(): Nip07Signer

- #### Returns Nip07Signer

##
Properties

### nip04

nip04: {
decrypt: (pubkey: string, message: string) => Promise<string>;
encrypt: (pubkey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip04

- Defined in packages/signer/src/signers/nip07.ts:39

### nip44

nip44: {
decrypt: (pubkey: string, message: string) => Promise<string>;
encrypt: (pubkey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip44

- Defined in packages/signer/src/signers/nip07.ts:46

##
Methods

### getPubkey

- getPubkey(): Promise<string>

- #### Returns Promise<string>

  Implementation of ISigner.getPubkey

  - Defined in packages/signer/src/signers/nip07.ts:31

### sign

- sign(template: StampedEvent ): Promise< SignedEvent >

- #### Parameters

  - template: StampedEvent

  #### Returns Promise< SignedEvent >

  Implementation of ISigner.sign

  - Defined in packages/signer/src/signers/nip07.ts:33